Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Class MappingObjectModelFactory

    java.lang.Object
      org.jboss.xml.binding.MappingObjectModelFactory

All Implemented Interfaces:
  GenericObjectModelFactory, ObjectModelFactory

public class MappingObjectModelFactory
extends Object
implements GenericObjectModelFactory

An ObjectModelFactory that uses mappings

Version:
  `$Revision: 1.1.2.2 $`
Author:
  Alexey Loubyansky, Adrian Brock

Constructor Summary
`MappingObjectModelFactory()`

Method Summary
`void` | `addChild(Object parent, Object child, ContentNavigator navigator, String namespaceURI, String localName)`
`Object` | `completedRoot(Object root, ContentNavigator navigator, String namespaceURI, String localName)`
`void` | `mapElementToClass(String element, Class cls)` Map an element to a class
`void` | `mapElementToField(String element, Class cls, String field, TypeConverter converter)` Map an element to a field
`Object` | `newChild(Object o, ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)`
`Object` | `newRoot(Object root, ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` This method is called by the object model factory and returns the root of the object graph.
`void` | `setValue(Object o, ContentNavigator navigator, String namespaceURI, String localName, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingObjectModelFactory

    public MappingObjectModelFactory()

Method Detail

### mapElementToClass

    public void mapElementToClass(String element,
                                  Class cls)

  Map an element to a class

  Parameters:
    `element` - the element name
    `cls` - the class

### mapElementToField

    public void mapElementToField(String element,
                                  Class cls,
                                  String field,
                                  TypeConverter converter)

  Map an element to a field

  Parameters:
    `element` - the element name
    `cls` - the class
    `field` - the field name
    `converter` - the type convertor

### newRoot

    public Object newRoot(Object root,
                          ContentNavigator navigator,
                          String namespaceURI,
                          String localName,
                          Attributes attrs)

  Description copied from interface: `ObjectModelFactory`
  This method is called by the object model factory and returns the root of the object graph. If the `root` argument is null the factory is supposed to create and return a new one. If the `root` argument is not null (i.e. the user provided the root object through the org.jboss.xml.binding.Unmarshaller) then the factory should either just return it as is or extract the real root from the `root` argument based on the namespace URI and local name.

  Specified by:
    `newRoot` in interface `ObjectModelFactory`
  Parameters:
    `root` - an object that is the root or which contains the root object
    `navigator` - content navigator
    `namespaceURI` - namespace URI of the root
    `localName` - local name of the root
    `attrs` - attributes of the root object
  Returns:
    the root of the object graph

### newChild

    public Object newChild(Object o,
                           ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Specified by:
    `newChild` in interface `GenericObjectModelFactory`

### addChild

    public void addChild(Object parent,
                         Object child,
                         ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Specified by:
    `addChild` in interface `GenericObjectModelFactory`

### setValue

    public void setValue(Object o,
                         ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Specified by:
    `setValue` in interface `GenericObjectModelFactory`

### completedRoot

    public Object completedRoot(Object root,
                                ContentNavigator navigator,
                                String namespaceURI,
                                String localName)

  Specified by:
    `completedRoot` in interface `GenericObjectModelFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.